package com.fr.plugin.third.party.jsdidig.http;

import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.third.party.jsdidig.Utils;
import com.fr.plugin.third.party.jsdidig.config.CustomDataConfig;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 */
public class CustomConfigHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }

    @Override
    public String getPath() {
        return "/jsdidig/oauth/config";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        res.setContentType("application/json; charset=utf-8");
        String logoutUrl = Utils.getLogoutUrl();
        String oAuthLoginUrl = Utils.getOAuthCodeUrlWithFr();;
        LogKit.info("集成登录,退出认证登录地址：" + logoutUrl);
        JSONObject json = new JSONObject();
        json.put("logoutUrl",logoutUrl);
        json.put("oAuthLoginUrl",oAuthLoginUrl);
        WebUtils.printAsJSON(res, json);
    }
}
